
#############
# Parameters
#############
NETWORK_SIZE     1000000
DENSITY          0.1
END_TIME         52
LATENCY_MIN      1
LATENCY_MAX      5
STEP             1
STEP_RPS         10
DB_BATCH_SIZE    1000000
SOURCES          10
VARIABLES        10
DELAY_UPDATES    1
SCENARIO         1

#######################
# Parameters of gossip
#######################
FANOUT           10
RPS_VIEW_SIZE    100
ALPHA            0
BETA             0
DUP_SEND_P       1
DUP_SEND_S       2
HOP_THRESHOLD_1  5
HOP_THRESHOLD_2  6

#######################################
# Common to simple and priority gossip
#######################################
simulation.endtime                  END_TIME
network.size                        NETWORK_SIZE

init.sch                            CDScheduler
init.sch.protocol                   sgossip

init.src                            SourceSetter
init.src.protocol                   sgossip
init.src.sources                    SOURCES
init.src.variables                  VARIABLES
init.src.delay                      DELAY_UPDATES

control.obs                         Observer
control.obs.step                    STEP
control.obs.protocol                sgossip
control.obs.networkSize             NETWORK_SIZE
control.obs.density                 DENSITY
control.obs.sources                 SOURCES
control.obs.variables               VARIABLES
control.obs.scenario                SCENARIO

protocol.transport                  UniformRandomTransport
protocol.transport.mindelay         LATENCY_MIN
protocol.transport.maxdelay         LATENCY_MAX

protocol.neighboursP                NeighboursLinkable
protocol.neighboursS                NeighboursLinkable
protocol.neighboursPS               NeighboursLinkable

################
# Simple gossip
################
control.srps                        SimpleRandomPeerSampler
control.srps.step                   STEP_RPS
control.srps.viewSize               RPS_VIEW_SIZE
control.srps.linkableP              neighboursP

protocol.sgossip                        SimpleGossip
protocol.sgossip.step                   STEP
protocol.sgossip.linkableP              neighboursP
protocol.sgossip.transport              transport
protocol.sgossip.fanout                 FANOUT
protocol.sgossip.variables              VARIABLES
protocol.sgossip.scenario               SCENARIO
